<?php
session_start();
$where 					= " WHERE 1=1 ";
$next_page_condition 	= "";
$paging ="";
if($_REQUEST['start']){
	$paging .="&start=".$_REQUEST['start'];
} 
$customer_id = utility::app_crypt($_REQUEST['customer_id'],'d');
if($_REQUEST['id'] != $customer_id){
	die("Invaild URL");
}

$restricted_groups = [12, 13, 14, 16];
$can_view = !in_array($_SESSION['admin_group_id'], $restricted_groups);
###########################################  STRAT FILTER CONDITIONS    #####################################
$search_customer_input 	= isset($_REQUEST['search_customer_name']) ? $_REQUEST['search_customer_name'] : "";
$search_customer_name = mysqli_real_escape_string($conn, $search_customer_input);
if($search_customer_input) {
    $where	.= " AND customer_name LIKE '%$search_customer_name%' ";
    $next_page_condition .= "&customer_name=" . urlencode($search_customer_input);
}
$search_customer_code_input 	= isset($_REQUEST['search_customer_code']) ? $_REQUEST['search_customer_code'] : "";
$search_customer_code = mysqli_real_escape_string($conn, $search_customer_code_input);
if($search_customer_code_input) {
    $where	.= " AND customer_code LIKE '%$search_customer_code%' ";
    $next_page_condition .= "&customer_code=" . urlencode($search_customer_code_input);
}
###########################################  	END  FILTER CONITIONS 	#####################################
###########################################  PAGING WITH PER PAGE  #####################################
$file_name		= "index"; // this is file name which is used during paging  , included at the bottom of the page
$table_name		= "client_management";
$paging_table_name	= $table_name;
$paging_query		= $where;
$join_query_for_paging = "SELECT * FROM $table_name  $where ";
$page_header = "Customer Management";
include("paging/paging_query.inc.php");
############################################ END PAGING WITH PER PAGE  #######################################
$query = "SELECT * FROM $table_name $where ORDER BY id DESC LIMIT $eu, $limit";
$sql=mysqli_query($conn,$query);
$result=mysqli_num_rows($sql);

$total_no_of_records = mysqli_num_rows(mysqli_query($conn,$join_query_for_paging));
$incompHide = utility::getTableFieldById("client_management", "id", "customer_code", '') == '' ? 'hide' : '';

#################################   DELETE    #########################################
// when we click on delete this area of php code will execute
if(isset($_REQUEST['action']) && $_REQUEST['action']=='delete')
{
	mysqli_query($conn,"DELETE FROM $table_name WHERE id = '".$_REQUEST['id']."' ");
	mysqli_query($conn,"DELETE FROM client_delivery_address_mapping WHERE customer_id = '".$_REQUEST['id']."' ");
	
	$_SESSION['info_message'] = "Customer deleted successfully";
	header("location: $file_name?page=view".$next_page_condition.$paging);
	exit();
}
#################################  END DELETE    #########################################
?>

<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-12">
                <h1 class="m-0"><?=$page_header;?></h1>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</div>
<section class="content">
	<div class="container-fluid">
		<div class="row">
			<div class="col-lg-12">
				<div class="card">
					<!----------------------- Message ------------------------------->
					<? if(isset($_SESSION['info_message'])){ ?>
					  <div class="alert alert-info alert-dismissable">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
						<? echo $_SESSION['info_message']; unset($_SESSION['info_message']);?>
					  </div>
					  <? } ?>
					<!----------------------- End Message ------------------------------->
					<div class="">
						<div class="card-body">
						<!-- search form -->
						<?php include_once('client_management_search_options.inc.php');?>
						<!-- /.search form -->
						Total No. of Customers: <?=$total_no_of_records;?>
						
							<form action="index?page=add" method="post" name="form1" id="form1">
							<div class="card-footer">
							    <?php if($can_view){ ?>
									<button type="submit" name="add" class="btn btn-primary">Add Customer</button>
							    <?php } ?>
							<button style="background-color: #f8d7da;  font-size:13px;" class="rounded border-0 <?=$incompHide;?>">Incomplete</button>
							   <?/* if(!$is_archive){ ?>
								<button type="button" name="archive_cause" id="archive_cause" class="btn btn-warning pull-right" style="float:right;">Archive</button>
								<? }else{ ?>
								<button type="button" name="unarchive_cause" id="unarchive_cause" class="btn btn-warning pull-right" style="float:right;">Unarchive</button>
								<? }*/ ?>
							</div>
							<? if($result>0){?>
							<div class="table-responsive">
							 <table id="example1" class="table table-bordered table-striped">
								<thead>
								  <tr>
									<!--<th>#</th>-->
									<th>Customer Name</th>
									<th>Customer Code</th>
									<!--<th>Delivery Address</th>-->
									<?php if($can_view){ ?>
										<th>Edit</th>
									<?php } ?>
									<?php if($can_view){ ?>
										<th>Delete</th>
									<?php } ?>
								  </tr>
								</thead>
								<tbody>
									<?
										while($row =mysqli_fetch_array($sql)){ 
										$row=utility::validate_crypt_data($row);
											$bgColor =$row["customer_code"]=='' ?'#f8d7da' : '';
										
									?>
								  <tr style="background-color: <?=$bgColor;?>;">
								    <td nowrap>
										<a href="index?page=view_client_progress&from=view&customer_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging;?>" class="text-primary"><?php echo ucfirst($row["customer_name"]);?>
										</a>
									</td>
									<td><?php echo $row["customer_code"];?></td>
									<!--<td><?php  
										$address = "";
										if(isset($row["delivery_address_1"]) && $row["delivery_address_1"] !=""){
											$address .= $row["delivery_address_1"].", ";
										}
										if(isset($row["delivery_address_2"]) && $row["delivery_address_2"] !=""){
											$address .= $row["delivery_address_2"].", ";
										}
										if(isset($row["delivery_address_3"]) && $row["delivery_address_3"] !=""){
											$address .= $row["delivery_address_3"].", ";
										}
										if(isset($row["delivery_add_postcode"]) && $row["delivery_add_postcode"] !=""){
											$address .= $row['delivery_add_postcode'];
										}
										echo $address;
										?>
								    </td>-->
									<?php if($can_view){ ?>
										<td>
											<a href="index?page=add&action=edit&customer_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging;?>">
												<i class="fa fa-fw fa-edit text-primary"></i>
											</a>
										</td>
									<?php } ?>
									<?php if($can_view){ ?>
										<td>
											<a href="index?page=view&action=delete&customer_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging;?>" 
											   onclick="return confirm('Are you sure you want to delete?');">
												<i class="fa fa-fw fa-trash text-danger"></i>
											</a>
										</td>
									<?php } ?>
									
								  </tr>
									<? } ?>
									
								</tbody>
							 </table>
							 </div>
							 <? }else{ ?>
								No Customer found...
							 <? } ?>
							<div class="box-footer clearfix">
								<!-- Paging starts here  -->
								<? 
								$next_page_condition .="&page=view";
								include("paging/paging_row.inc.php") 
								?>
								<!-- Paging ends starts here  -->
							</div>
						</div>
						<div class="card-footer hide">
						<?php if($can_view){ ?>
						   <button type="submit" name="add" class="btn btn-primary">Add Customer</button>
						<?php } ?>   
						</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

<script type="text/javascript">
$(function () {
	$(".close_button").click(function(){
		$(".modal_iframe").attr("src","");
	});
	///////////////////////////// START ARCHIVING/UNARCHIVING cause///////////////////////////////////////
	$("#archive_cause").click(function(){
		if ($(".checkbox:checked").length == 0){
			alert("Please select cause");
			return false;
		}
		if(confirm("Are you sure you want archive the selected cause(s).")){
			$('#form1').attr("action","index?page=view&action=archive<?=$next_page_condition.$paging;?>");
			$('#form1').submit();
		}
	});
	$("#unarchive_cause").click(function(){
		if ($(".checkbox:checked").length == 0){
			alert("Please select cause");
			return false;
		}
		if(confirm("Are you sure you want unarchive the selected cause(s).")){
			$('#form1').attr("action","index?page=view&action=unarchive<?=$next_page_condition.$paging;?>");
			$('#form1').submit();
		}
	});
	///////////////////////////// START ARCHIVING/UNARCHIVING cause///////////////////////////////////////
	$('#check_all').click(function(){
        if($("#check_all:checked").length == 1){
            $('.checkbox').prop( "checked", true );
        }else{
            $('.checkbox').prop( "checked", false );
        }
    });
});
</script>